Subject: Re: [idn] Arabic hyphen-like glyph

From: [email-masked]
Date: Thu, 26 Jul 2001 15:59:12 -0700

It seems to me  Arabic glyph U+0640 (Arabic TATWEEL)
	 looks like Latin hyphen(-). is used to stretch characters,
 and  Arabic FULLSTOP U+06D4  looks like Latin 'underline' (or 'hyphen' )
  is used as period.  Both are not phonetic characters, so they are not
conflict with a word separator 'hypen'.
 
Liana

On Thu, 26 Jul 2001 12:16:31 +0900 "Soobok Lee" <[email-masked]>
writes:
> Arabic glyph U+0640 (Arabic TATWEEL) looks like Latin hyphen(-).
> 
> Arabic FULLSTOP U+06D4  looks like Latin 'underline' (or 'hyphen' ).
> 
> Using hyphen instead of punctuation char NWNJ(U+200C,No-width No 
> joiner)
>  may not help but cause confusion to native-Arabic people.
> 
> 
> Soobok Lee, [email-masked]
> 
> ----- Original Message -----
> From: "Martin Duerst" <[email-masked]>
> To: "Roozbeh Pournader" <[email-masked]>
> Cc: "John C Klensin" <[email-masked]>; "Dan Oscarsson" 
> <[email-masked]>;
> <[email-masked]>; <[email-masked]>
> Sent: Thursday, July 26, 2001 10:25 AM
> Subject: [idn] ZWNJ (was: Re: Just send UTF-8 with nameprep (was: 
> RE:
> [idn]Reality Check))
> 
> 
> > At 19:33 01/07/25 +0430, Roozbeh Pournader wrote:
> > >On Wed, 25 Jul 2001, Martin Duerst wrote:
> > >
> > > > I don't want to disagree with your conclusion, but I'm not
> > > > sure about the premise (that we need the original spelling),
> > > > so I didn't get into the details of what would follow.
> > >
> > >We may need original spelling, for example if we decide that we 
> need to
> > >stop Arabic letters from joining, by using a ZWNJ between them 
> (since a
> > >space is not available). Multiword Arabic domain names will be 
> unreadable
> > >if the words join. But since ZNWJ is stripped at nameprep, we 
> will
> > >sometimes need to get to the original. You get the idea.
> >
> > Hello Roozbeh,
> >
> > Many thanks for your comment. As far as I remember, currently ZNWJ 
> is
> > dropped by nameprep without complaining. I think that if that 
> leads to
> > problems as you describe above, we should very carefully reexamine
> > this decision. I have already told the nameprep design team that
> > I think that this should be moved to 'disallowed' to avoid 
> surprises
> > like the above. But I'm not sure moving it to 'disallowed' would
> > solve all problems (assuming that the hyphen is used for 
> concatenating
> > words).
> >
> > Regards,   Martin.
> >
> >
> 
>